@page
@model Todoer.Pages_Todoes.IndexModel



@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
           <th>
                @Html.DisplayNameFor(model => model.Todo[0].IsDone)
            </th>
             <th>
                @Html.DisplayNameFor(model => model.Todo[0].Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Todo[0].Date)
            </th>
             <th>
                @Html.DisplayNameFor(model => model.Todo[0].Title)
            </th>
           
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Todo) {
        <tr>
             <td>
                @Html.DisplayFor(modelItem => item.IsDone)
            </td>
             <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
             <td>
                @Html.DisplayFor(modelItem => item.Date)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
           
           
           
            <td>
                <a asp-page="./Edit" asp-route-id="@item.Id">Edit</a> |
                <a asp-page="./Details" asp-route-id="@item.Id">Details</a> |
                <a asp-page="./Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
